<h1>Pipe Básicos</h1>
<p>
    Pipes incluidos en Angular - Usualmente en el Common Module
</p>

<div class="grid">
        <div class="col-4">
            <p-card 
            header="uppercase"
            [subheader]="nombreLower | uppercase">
            {{ nombreLower | uppercase}}
            </p-card>
        </div>
        <div class="col-4">
            <p-card 
            header="lowercase"
            [subheader]="nombreUpper | lowercase">
            {{ nombreUpper | lowercase }}
            </p-card>
        </div>
        <div class="col-4">
            <p-card 
            header="titlecase"
            [subheader]="nombreCompleto | titlecase ">
            {{ nombreCompleto | titlecase }}
            </p-card>
        </div>
</div>

<br>

<h1>Date Pipe</h1>
<p>
    Pipe para mostrar las fechas
</p>

<div class="grid">
    <div class="col-6">
            <p-card>
                <ul>
                    <li> fecha </li>
                    <li> fecha | date * mediumDate</li>
                    <li> fecha | date : 'short' </li>
                    <li> fecha | date : 'shortDate' or 'dd/MM/yyyy' </li>
                    <li> fecha | date : 'long' </li>
                    <li> fecha | date  : 'MMMM' </li>
                    <li> fecha | date  : 'MMMM dd, yyyy' </li>
                </ul>
                <hr>
                <ul>
                    <li></li>
                    <li></li>
                </ul>
            </p-card>
    </div>
    <div class="col-6">
        <p-card>
            <ul>
                <li>{{ fecha }}</li>
                <li>{{ fecha | date }}</li>
                <li>{{ fecha | date  : 'short' }}</li>
                <li>{{ fecha | date  : 'dd/MM/yyyy' }}</li>
                <li>{{ fecha | date  : 'long' | titlecase}}</li>
                <li>{{ fecha | date  : 'MMMM' | titlecase }}</li>
                <li>{{ fecha | date  : 'MMMM dd, yyyy' | titlecase }}</li>
            </ul>
            <hr>
            <ul>
                <li>{{ fecha | date  : 'long' : 'GMT-7' }}</li>
                <li>{{ fecha | date  : 'long' : '' : 'fr' }}</li>
            </ul>
        </p-card>
    </div>
</div>